package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)枚举类
*
* @author zxfei
*/
public enum AlarmStatusEnum {
    未清除(0, "未清除"),
    清除未确认(1, "清除未确认"),
    清除已确认(2, "清除已确认");
    private Integer value;
    private String desc;

    AlarmStatusEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static AlarmStatusEnum getByValue(Integer value) {
        for (AlarmStatusEnum alarmStatusEnum : AlarmStatusEnum.values()) {
            if (alarmStatusEnum.getValue() == value) {
                return alarmStatusEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (AlarmStatusEnum item : AlarmStatusEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}